image thumbnail

keras_2.4.0_model

version 1.0.0 (213 MB) by Lisa Beckmann
keras 2.4.0 model that is unable to be loaded using importKerasNetwork

37 Downloads

Updated 01 May 2021

View License

keras model that leads to the following warning and errors when trying to import into MATLAB

Warning: File 'segm_model_v_64.h5' was saved in Keras version '2.4.0'. Import of Keras versions newer than '2.2.4' is not supported. The imported model may not exactly match the model saved in the Keras file.

Error using nnet.internal.cnn.keras.ParsedKerasModel (line 26)
Assertion failed.
Error in nnet.internal.cnn.keras.importKerasNetwork (line 23)
KM = nnet.internal.cnn.keras.ParsedKerasModel(ModelConfig, TrainingConfig);
Error in importKerasNetwork (line 91)
Network = nnet.internal.cnn.keras.importKerasNetwork(modelfile, varargin{:});

Cite As

Lisa Beckmann (2021). keras_2.4.0_model (https://www.mathworks.com/matlabcentral/fileexchange/91445-keras_2-4-0_model), MATLAB Central File Exchange. Retrieved .

MATLAB Release Compatibility
Created with R2020b
Compatible with any release
Platform Compatibility
Windows macOS Linux
Tags Add Tags

Community Treasure Hunt

Find the treasures in MATLAB Central and discover how the community can help you!

Start Hunting!